package nl.backend;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class ServiceLocatorUtil {
	
	public static <T> T lookup(String name) {
		Context context;
		
		try {
			context = getInitialContext();
			return (T) context.lookup(name);
		} catch( Exception e ) {
			throw new RuntimeException(e);
		}
	}
	

	private static Context getInitialContext() throws NamingException {
		Properties p = new Properties();
		
		p.put( Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
		p.put(Context.PROVIDER_URL, "jnp://localhost:1099");
		
		return new InitialContext(p);
	}
}
