package nl.frontend;

import java.util.List;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.AbstractTableModel;

import nl.backend.NewsLetter;
import nl.backend.ServiceLocatorUtil;
import nl.backend.User;

public class Gui {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		JFrame frame = new JFrame();
		
		NewsLetter newsLetter = ServiceLocatorUtil.lookup(NewsLetter.NAME);
		List<User> users = newsLetter.find(Boolean.FALSE);
		
		frame.getContentPane().add(new JScrollPane(new JTable(new UserModel(users))));
		
		frame.pack();
		
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);

	}

	public static class UserModel extends AbstractTableModel {

		List<User> users;

		public UserModel(List<User> users) {
			this.users = users;
		}

		public int getColumnCount() {
			// TODO Auto-generated method stub
			return 4;
		}

		public int getRowCount() {
			// TODO Auto-generated method stub
			return users.size();
		}

		public Object getValueAt(int row, int column) {
			switch(column) {
			case 0:
				return users.get(row).getId();
			case 1:
				return users.get(row).getName();
			case 2:
				return users.get(row).getEmail();
			case 3:
				return users.get(row).getConfirmed();
			
			}
			return null;
		}

	}

}
